Subject: Re: linux-next: sparc tree build warning

From: David Miller <[email-masked]>
Date: Thu, 28 Jan 2010 20:12:06 -0800 (PST)

From: Stephen Rothwell <[email-masked]>
Date: Fri, 29 Jan 2010 10:25:43 +1100

> Hi Dave,
> 
> On Thu, 28 Jan 2010 05:24:32 -0800 (PST) David Miller <[email-masked]> wrote:
>>
>> From: Stephen Rothwell <[email-masked]>
>> Date: Thu, 28 Jan 2010 18:44:23 +1100
>> 
>> > I am still seeing these.  Is it my compiler version (gcc4.4.0)?
>> 
>> You can't turn on DEBUG_STRICT_USER_COPY_CHECKS and
>> expect a successful build.  It's for developers to
>> look at the errors that are generated and audit those
>> cases in detail.
> 
> These are defconfig builds and CONFIG_DEBUG_STRICT_USER_COPY_CHECKS is
> not set in either case.

Simply ignore the warning then, I thought you were reporting
a build failure.

> I only do an i386 defconfig build and I don't get these warnings.

Looking at the specific case of net/core/pktgen.c:867

"len" is variable in the net/core/pktgen.c line that emits the
warning

Even though it is limited to "sizeof(name) - 1" via strn_len()'s
third argument, that's a lot to expect the compiler to dig into
and be able to conclude invariants from.

Please just ignore the warnings.

Thanks.